#include "tn_s98.h"

int32 TNPlug_DecodeFramePlayer (struct TNPlugIFace *Self, struct TuneNet *inTuneNet,
	int16 *outbuffer)
{
	struct TNDecHandle *handle = inTuneNet->handle;
	return S98_Render(handle->s98, (BYTE *)inTuneNet->pcm[0], handle->info.dwSamplesPerSec);
}

int32 TNPlug_SeekPlayer (struct TNPlugIFace *Self, struct TuneNet *inTuneNet, uint32 seconds) {
	struct TNDecHandle *handle = inTuneNet->handle;
	S98_SetPosition(handle->s98, seconds * 1000);
	return seconds;
}
